4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildDocs

Main distutils extensions for generating documentation

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: BuildDocs |  |  |  | Functions: FindIncludes, ProcessIncludes |  |  |  | Globals: DEBUG, INDEX_LISTITEM, INDEX_SECTION, INDEX_SOURCE, INDEX_TEMPLATE

## Classes

class BuildDocs(distutils.cmd.Command)

  ### Methods

  build_api(self)
  build_commandline(self)
  build_extensions(self)
    Create XML documentation for XPath/XSLT extensions
  build_index(self, documents)
  build_static(self)
  document(self, category, name, sources, object, formatter)
  finalize_options(self)
    Overrides: finalize_options from class Command
  find_xml_includes(self, uri, _includes=None)
  get_modules(self)
  get_output_filename(self, name, category=None)
  get_outputs(self)
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  prepare_modules(self)
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['inplace', 'force']
  command_name = 'build_docs'
  description = 'build documentation files (copy or generate XML sources)'
  user_options = [('build-dir=', 'd', 'directory to "build" (generate) to'), ('force', 'f', 'forcibly build everything (ignore file timestamps)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Functions

FindIncludes(source_uri, _includes=None)
ProcessIncludes(source, callback, xslt=False)

## Globals

DEBUG = None
INDEX_LISTITEM = ' <listitem>\n <ulink url="%(url)s" type="generate">%(title)s</ulink>\n </listitem>\n'
INDEX_SECTION = '\n <section id="%(category)s">\n <title>%(titl...itemizedlist>\n </section> <!-- %(category)s -->\n'
INDEX_SOURCE = ' <f:source>\n <f:title>%(title)s</f:title...et>%(stylesheet)s</f:stylesheet>\n </f:source>\n'
INDEX_TEMPLATE = '<?xml version="1.0" encoding="ISO-8859-1"?>\n<!DO...space)s">\n%(sources)s\n </f:sources>\n\n</article>\n'